# Certificate monitoring

# Number of seconds till certificate expires
# Parameters: $1 - path to cert file
UserParameter=cert.x509.expire[*],openssl x509 -in $1 -enddate|grep notAfter|awk -F= '{print $$2}'|while read l; do t=`date -d"$l" +%s`; n=`date +%s`; echo `expr $t - $n`; done
# Parameters: $1 - host, $2 - port
UserParameter=cert.net.expire[*],echo | openssl s_client -connect $1:$2 2>/dev/null| openssl x509 -noout -enddate | grep notAfter|awk -F= '{print $$2}'|while read l; do t=`date -d"$l" +%s`; n=`date +%s`; echo `expr $t - $n`; done
# Parameters: $1 - host, $2 - port, $3 - protocol
UserParameter=cert.starttls.expire[*],echo | openssl s_client -connect $1:$2 -starttls $3 2>/dev/null| openssl x509 -noout -enddate | grep notAfter|awk -F= '{print $$2}'|while read l; do t=`date -d"$l" +%s`; n=`date +%s`; echo `expr $t - $n`; done

